assert(TrackCooldowns, "TrackCooldowns not found!") 

--[[ 
    ["Localized Spell Name"] = { 
        id = 12345, -- Spell ID 
        cd = 123,   -- Spell's cooldown, in seconds 
        ora = x,    -- Spell's oRA sync id, if available 
    } 
]]

local hero = (UnitFactionGroup("player") == "Alliance") and 32182 or 2825
local cooldowns = { 
    ["DEATHKNIGHT"] = { 
        [GetSpellInfo(48707)] = { id = 48707, cd =  45 },           -- Anti-magic Shield 
        [GetSpellInfo(49222)] = { id = 49222, cd =  60 },           -- Bone Shield  
        [GetSpellInfo(48792)] = { id = 48792, cd = 180 },           -- Icebound Fortitude 
        [GetSpellInfo(55233)] = { id = 55233, cd =  60 },			-- Vampiric Blood
        [GetSpellInfo(48982)] = { id = 48982, cd =  30 },			-- Rune Tap
        [GetSpellInfo(56222)] = { id = 56222, cd =   8 },			-- Dark Command
		[GetSpellInfo(49576)] = { id = 49576, cd =  35 },			-- Death Grip
    }, 
    ["DRUID"] = { 
        [GetSpellInfo(22812)] = { id = 22812, cd = 60 },            -- Barkskin  
        [GetSpellInfo(29166)] = { id = 29166, cd = 180 },           -- Innervate  
        [GetSpellInfo(20484)] = { id = 20484, cd = 600, ora = 1 },  -- Rebirth 
        [GetSpellInfo(740)]   = { id =   740, cd = 480 },           -- Tranquility
		[GetSpellInfo(48371)] = { id = 48371, cd = 180 },           -- Tree of Life
		[GetSpellInfo(61336)] = { id = 61336, cd = 180 },			-- Survival Instincts
		[GetSpellInfo(6795)]  = { id =  6795, cd =   8 },			-- Growl
		[GetSpellInfo(5209)]  = { id =  5209, cd = 180 },			-- Challenging Roar
    }, 
    ["HUNTER"] = { 
		[GetSpellInfo(5384)]  = { id = 5384,  cd = 30 },            -- Feign Death
		[GetSpellInfo(34477)] = { id = 34477, cd = 30 },            -- Misdirection
		[GetSpellInfo(34477)] = { id = 34477, cd = 30 },            -- Deterrence
    }, 
    ["MAGE"] = {  
        [GetSpellInfo(80353)] = { id = 80353, cd = 300 },			-- Time Warp
		[GetSpellInfo(45438)] = { id = 45438, cd = 300 },           -- Ice Block
		[GetSpellInfo(66)]    = { id = 66, cd = 180 },              -- Invisibility
		[GetSpellInfo(82676)] = { id = 82676, cd = 120 },           -- Ring of Frost // Does not work now
    }, 
    ["PALADIN"] = { 
        [GetSpellInfo(498)]   = { id =   498, cd =  60 },           -- Divine Protection 
        [GetSpellInfo(70940)] = { id = 70940, cd = 120 },           -- Divine Guardian 
        [GetSpellInfo(642)]   = { id =   642, cd = 300 },           -- Divine Shield
        [GetSpellInfo(31850)] = { id = 31850, cd = 180 },			-- Ardent Defender 
        [GetSpellInfo(1022)]  = { id =  1022, cd = 300 },           -- Hand of Protection  
        [GetSpellInfo(6940)]  = { id =  6940, cd = 120 },           -- Hand of Sacrifice 
        [GetSpellInfo(1038)]  = { id =  1038, cd = 120 },           -- Hand of Salvation 
        [GetSpellInfo(633)]   = { id =   633, cd = 600 },           -- Lay on Hands
        [GetSpellInfo(86150)] = { id = 86150, cd = 180 },			-- Guardian of Ancient Kings (All specs, cannot track only protection)
        [GetSpellInfo(31821)] = { id = 31821, cd = 120 },			-- Aura Mastery
        [GetSpellInfo(62124)] = { id = 62124, cd =   8 },			-- Hand of Reckoning
        [GetSpellInfo(31789)] = { id = 31789, cd =   8 },			-- Righteous Defense
    }, 
    ["PRIEST"] = { 
        [GetSpellInfo(64843)] = { id = 64843, cd = 480 },           -- Divine Hymn 
        [GetSpellInfo(6346)]  = { id =  6346, cd = 180 },           -- Fear Ward 
        [GetSpellInfo(47788)] = { id = 47788, cd = 180 },           -- Guardian Spirit 
        [GetSpellInfo(64901)] = { id = 64901, cd = 360 },           -- Hymn of Hope 
        [GetSpellInfo(73325)] = { id = 73325, cd =  90 },			-- Leap of Faith
        [GetSpellInfo(33206)] = { id = 33206, cd = 180 },           -- Pain Suppression 
        [GetSpellInfo(62618)] = { id = 62618, cd = 180 },           -- Power Word: Barrier 
    }, 
    ["ROGUE"] = { 
        [GetSpellInfo(31224)] = { id = 31224, cd = 90 },            -- Cloak of Shadows  
        [GetSpellInfo(57934)] = { id = 57934, cd = 30 },            -- Tricks of the Trade
    }, 
    ["SHAMAN"] = { 
        [GetSpellInfo(hero)]  = { id = hero,  cd = 300 },           -- Bloodlust/Heroism  
        [GetSpellInfo(16190)] = { id = 16190, cd = 300 },           -- Mana Tide Totem  
        [GetSpellInfo(20608)] = { id = 20608, cd = 1800, ora = 2 }, -- Reincarnation 
		[GetSpellInfo(98008)] = { id = 98008, cd = 180},            -- Spirit Link Totem
    }, 
    ["WARLOCK"] = { 
        [GetSpellInfo(20707)] = { id = 20707, cd = 1800, ora = 3 }, -- Soulstone Resurrection // Does not work now
		[GetSpellInfo(698)]   = { id = 698, cd = 120 },             -- Ritual of Summoning
		[GetSpellInfo(29893)] = { id = 29893, cd = 300 },           -- Ritual of Souls
    }, 
    ["WARRIOR"] = { 
        [GetSpellInfo(12975)] = { id = 12975, cd = 180 },           -- Last Stand  
        [GetSpellInfo(871)]   = { id =   871, cd = 300 },           -- Shield Wall 
        [GetSpellInfo(55694)] = { id = 55694, cd = 180 },			-- Enraged Regeneration
        [GetSpellInfo(355)]   = { id =   355, cd =   8 },			-- Taunt
		[GetSpellInfo(1161)]  = { id = 1161,  cd = 180 },           -- Challenging Shout
		[GetSpellInfo(97462)]  = { id = 97462, cd = 180 },          -- Rallying Cry
    }, 
} 

TrackCooldowns.cooldowns = cooldowns